### Signal

# Gio Settings::writable-change-event

since: 2.0

#### Declaration

    gboolean
    writable_change_event (
      GSettings* self,
      guint key,
      gpointer user_data
    )

#### Description

The “writable-change-event” signal is emitted once per writability change event that affects this settings object. You should connect to this signal if you are interested in viewing groups of changes before they are split out into multiple emissions of the “writable-changed” signal. For most use cases it is more appropriate to use the “writable-changed” signal.

In the event that the writability change applies only to a single key, `key` will be set to the `GQuark` for that key. In the event that the writability change affects the entire settings object, `key` will be 0.

The default handler for this signal invokes the “writable-changed” and “changed” signals for each affected key. This is done because changes in writability might also imply changes in value (if for example, a new mandatory setting is introduced). If any other connected handler returns `TRUE` then this default functionality will be suppressed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0

#### Parameters

`key`

  Type: `guint`

  The quark of the key, or 0

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. FALSE to propagate the event further.